## danfojs-base 

**danfojs-base** is the core module of Danfo.js. Danfojs-node and Danfojs-browser folders simply extends/export this functions and classes from this module.

## Folders and Files

  - __aggregators__: All files that contain functions that aggregate data.
  - __core__: Holds the core classes of Danfo.js.
    - `daterange`: Class that represents a date range.
    - `datetime`: Class that represents a date and time.
    - `frame`: Class that represents a frame.
    - `series`: Class that represents a series.
    - `generic`: Class that represents a generic object.
    - `indexing`: Class that represents an indexing.
    - `math.ops`: Class that represents a math operation.
    - `strings`: Class that represents a string.  
  - __io__: Holds the IO classes of Danfo.js.
    - __browser__: Holds the browser IO classes.
      - `io.csv`: Holds the CSV IO classes.
      - `io.json`: Holds the JSON IO classes.
      - `io.excel`: Holds the excel IO classes.
    - __node__: Holds the node IO classes for Node.js
      - `io.csv`: Holds the CSV IO classes for Node.js
      - `io.json`: Holds the JSON IO classes for Node.js
      - `io.excel`: Holds the excel IO classes for Node.js
  - __plotting__: Holds the plotting classes
    - __plotly__: Holds the plotting class for Plotly charts.
    - __vega__: (Stub) Holds the plotting class for Vega charts.
  - __shared__
    - `config`: Holds the configuration class.
    - `defaults`: Holds the default values for the configuration class.
    - `errors`: Holds the error classes.
    - `tensorflowlib`: Autogenerated tensorflow library export.
    - `utils`: Holds the utility classes.
    - `types`: Holds the type classes.
  - __transformers__: Holds the transformers files
    - __encoders__: Holds the encoder classes.
       - `dummy.encoder`: Holds the dummy encoder class
        - `one.hot.encoder`: Holds the onehot encoder class
        - `label.encoder`: Holds the label encoder class
    - __scalers__
      - `min.max.scalers`: Holds the min max scaler class
      - `standard.scalers`: Holds the standard scaler class
    - `concat`: Holds the concatenation class
    - `merge`: Holds the merge class
  - `index.ts`: Entry point for the module.